# Managing Diagrams

## Create Diagram

To create a Diagram:

1. Select first an element where a new Diagram to be contained as a child in **Model Explorer**.
2. Select **Model | Add Diagram | \[DiagramType]** in Menu Bar or select **Add Diagram | \[DiagramType]** in Context Menu.

## Delete Diagram

To delete a Diagram:

1. Select a Diagram to delete in **Model Explorer**.
2. Press `Ctrl+Delete` or select **Edit | Delete from Model** in Menu Bar or **Delete from Model** in Context Menu.

## Open Diagram

To open a diagram, double-click a diagram in **Model Explorer**.

## Close Diagram

To close a diagram, click the close icon (`x` mark) of a diagram in **Working Diagrams** or press `F4` or select **View | Close Diagram** in Menu Bar.

To close other diagram except an active diagram, press `Ctrl+F4` or select **View | Close Other Diagrams** in Menu Bar.

To close all diagrams, press `Shift+F4` or select **View | Close All Diagrams** in Menu Bar.

## Change Active Diagram

To change active diagram, select a diagram in **Working Diagram**.

To activate the next diagram, press `Ctrl+Shift+]` or select **View | Next Diagram**.

To activate the previous diagram, press `Ctrl+Shift+[` or select **View | Previous Diagram**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.staruml.io/v5/user-guide/managing-diagrams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
